package com.ywt.mg.domain.models.enums;

/**
 * 通用对账单之类型枚举，对应 bill_third_total_detail 表的 type 字段
 */
public enum BillThirdTotalTypeEnum {
    Biz("业务", 1),
    PayType("支付方式", 2),
    PayTotal("支付汇总", 3),
    UNKNOW("",-1);

    private final String displayName;

    private final int value;

    BillThirdTotalTypeEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


    public static BillThirdTotalTypeEnum valueOf (int value){
        switch (value) {
            case 1:
                return Biz;
            case 2:
                return PayType;
            case 3:
                return PayTotal;
            default:
                return UNKNOW;
        }
    }
}
